Documentation
Version V1.0.2
GET Ethnicity by Pocket
https://www.microburbs.com.au/report_generator/api/suburb/ethnicity
Retrieves ethnic demographic breakdown data within a suburb at the SA1 level. Data shows ethnicity by regional ancestry rather than country of birth.
Important: The suburb parameter must use the official naming convention.
You can retrieve the official name for a suburb from the List Suburbs API Endpoint.
Click to see documentation

Parameters

Name Type Required Description
suburb text Required The name of the suburb
geojson boolean Optional Set to 'true' to include geometric shape data (default: false)

Response Schema

Field Type Description
results array Array of SA1 level ethnic data
results[].area_level string Area classification level (e.g., 'sa1')
results[].area_name string SA1 identifier code
results[].ethnicity object Ethnic breakdown by regional ancestry (as decimal percentages)

Request Examples

cURL
Python
JavaScript
curl -X GET "https://www.microburbs.com.au/report_generator/api/suburb/ethnicity?suburb=Belmont%20North" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"

Response Example

Response
{ "results": [ { "area_level": "sa1", "area_name": "11101120602", "ethnicity": { "Australians": 0.93, "Northern and Western Europeans": 0.021, "South Asians": 0.021 } }, { "area_level": "sa1", "area_name": "11101120603", "ethnicity": { "Australians": 0.925, "Northern and Western Europeans": 0.0475 } }, { "area_level": "sa1", "area_name": "11101120604", "ethnicity": { "Asians": 0.02119, "Australians": 0.903, "Northern and Western Europeans": 0.0455 } }, { "area_level": "sa1", "area_name": "11101120605", "ethnicity": { "Australians": 0.963, "North America": 0.00748, "South and Central Americans": 0.00748 } } ] }
Try it in Sandbox